# Record TCefPanel

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPanel = record`

## Description

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPanel.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_capi.h">CEF source file: /include/capi/views/cef_panel_capi.h (cef_panel_t))

## Overview

### Fields

| `base: TCefView;`
| `as_window: function(self: PCefPanel): PCefWindow; stdcall;`
| `set_to_fill_layout: function(self: PCefPanel): PCefFillLayout; stdcall;`
| `set_to_box_layout: function(self: PCefPanel; const settings: PCefBoxLayoutSettings): PCefBoxLayout; stdcall;`
| `get_layout: function(self: PCefPanel): PCefLayout; stdcall;`
| `layout: procedure(self: PCefPanel); stdcall;`
| `add_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;`
| `add_child_view_at: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;`
| `reorder_child_view: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;`
| `remove_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;`
| `remove_all_child_views: procedure(self: PCefPanel); stdcall;`
| `get_child_view_count: function(self: PCefPanel): NativeUInt; stdcall;`
| `get_child_view_at: function(self: PCefPanel; index: Integer): PCefView; stdcall;`

## Description

### Fields

| `base: TCefView;`
This item has no description.

| `as_window: function(self: PCefPanel): PCefWindow; stdcall;`
This item has no description.

| `set_to_fill_layout: function(self: PCefPanel): PCefFillLayout; stdcall;`
This item has no description.

| `set_to_box_layout: function(self: PCefPanel; const settings: PCefBoxLayoutSettings): PCefBoxLayout; stdcall;`
This item has no description.

| `get_layout: function(self: PCefPanel): PCefLayout; stdcall;`
This item has no description.

| `layout: procedure(self: PCefPanel); stdcall;`
This item has no description.

| `add_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;`
This item has no description.

| `add_child_view_at: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;`
This item has no description.

| `reorder_child_view: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;`
This item has no description.

| `remove_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;`
This item has no description.

| `remove_all_child_views: procedure(self: PCefPanel); stdcall;`
This item has no description.

| `get_child_view_count: function(self: PCefPanel): NativeUInt; stdcall;`
This item has no description.

| `get_child_view_at: function(self: PCefPanel; index: Integer): PCefView; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.